Runtime

## org.eclipse.gmf.runtime.diagram.ui.resources.editor.parts
Class DiagramDocumentEditorMatchingStrategy

    java.lang.Object
      org.eclipse.gmf.runtime.diagram.ui.resources.editor.parts.DiagramDocumentEditorMatchingStrategy

All Implemented Interfaces:
  IEditorMatchingStrategy

    public class DiagramDocumentEditorMatchingStrategy

extends java.lang.Object
implements IEditorMatchingStrategy

A matching strategy for `DiagramDocumentEditor`

Constructor Summary
`DiagramDocumentEditorMatchingStrategy()`

Method Summary
`boolean` `matches(IEditorReference editorRef, IEditorInput input)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DiagramDocumentEditorMatchingStrategy

    public DiagramDocumentEditorMatchingStrategy()

Method Detail

### matches

    public boolean matches(IEditorReference editorRef,
                           IEditorInput input)

  Specified by:
    `matches` in interface `IEditorMatchingStrategy`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.